# std::reverse_iterator<Iter>::operator=

From cppreference.com
< cpp‎ | iterator‎ | reverse iterator

template< class U > reverse_iterator& operator=( const reverse_iterator<U>& other ); |  | (until C++17)
template< class U > constexpr reverse_iterator& operator=( const reverse_iterator<U>& other ); |  | (since C++17)

The underlying iterator is assigned the value of the underlying iterator of `other`, i.e. `other.base()`.

### Parameters

other | - | iterator adaptor to assign

### Return value

*this

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a new iterator adaptor (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/reverse_iterator/operator%3D&oldid=42017"